Package Release Info

ninja-ide-2.4-bp154.1.104

Update Info: Base Release
Available in Package Hub : 15 SP4

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

ninja-ide

Change Logs

Version: 2.3-bp150.1.3
* Tue Dec 08 2015 jorge.izaac@gmail.com
- Explicitly add python-setuptools as installation requirement.
  * Fix for bug 958149: https://bugzilla.opensuse.org/show_bug.cgi?id=958149
* Mon Jul 13 2015 toddrme2178@gmail.com
- Install to prefix explicitly
  * Fixes building on SLES 11
* Thu Nov 20 2014 toddrme2178@gmail.com
- Include .rpmlinc file in sources.
- Provide url for source file verification.
- Switch to .desktop file included in the package.
* Thu Nov 20 2014 toddrme2178@gmail.com
- Require python-setuptools since the main package depends on it.
- Spec file cleanups
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Aug 20 2013 samuelw2011@tpg.com.au
- Updated source to stable version 2.3
  from the git repository
  * Last stable version before
    next major update - mostly bug fixes
* Thu Aug 15 2013 toddrme2178@gmail.com
- Fix depenency on setuptools, it conflicts with distribute below
  Factory
* Sun May 19 2013 samuelw2011@tpg.com.au
- updated to latest stable version 2.2. As stated in the release announcement <https://groups.google.com/forum/?fromgroups#!topic/ninja-ide/As4QCTXslfM>: "This new version includes several performance improves and bug fixes (specially a performance improve in the Python Syntax Highlighter, and soon it will be extended for the other languages supported in ninja)."
- changed setup line and name of source zip in spec file to suit new version
* Thu Nov 15 2012 jorge.izaac@gmail.com
- changed name of setup folder to match unzipped upstream file
- BuildRequire dependency for python-pyinotify
* Thu Nov 15 2012 jorge.izaac@gmail.com
-added upstream zip file
* Wed Nov 14 2012 jorge.izaac@gmail.com
- fix for build on SLE_11_SP2
* Fri Nov 09 2012 jorge.izaac@gmail.com
- added python build prefix for opensuse 12.2 and below
* Sat Nov 03 2012 jorge.izaac@gmail.com
- fixed pep8mod.py permissions and duplicated listing, fix taken from fedora spec file
* Sat Nov 03 2012 jorge.izaac@gmail.com
- missing setup statement added, new description and summary
* Sat Nov 03 2012 jorge.izaac@gmail.com
- Added stable 2.1.1 sources from ninja-ide git repository
- Spec file clean up, removed duplicated setup statement
Version: 2.4-bp153.1.17
* Wed Dec 09 2020 Antonio Larrosa <alarrosa@suse.com>
- Update to ninja-ide 2.4
  * Ported to python3 and Qt5
- Add patch for a couple of missing bits that weren't ported from
  python2 to python3:
  * python3-fixes.patch